Bug 430066 - --cache option fails if subdirectory yum-cache doesnt exist
--cache option fails if subdirectory yum-cache doesnt exist
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 06:29 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 06:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-01-24 06:29:36 EST
Description of problem:

--cache option fails if all the subdirectories necessary isn't manually created

Version-Release number of selected component (if applicable):

livecd-tools-013-1.fc8

How reproducible:

everytime

Steps to Reproduce:
1. mkdir /tmp/cache
2. livecd-creator --cache=/tmp/cache --config=foo.ks
  
Actual results:

mount: special device /tmp/cache//yum-cache does not exist
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 1603, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 1573, in main
    target.setup(options.base_on, options.cachedir)
  File "/usr/bin/livecd-creator", line 516, in setup
    b.mount()
  File "/usr/bin/livecd-creator", line 67, in mount
    raise MountError("Bind-mounting '%s' to '%s' failed" % (self.src, self.dest))
__main__.MountError: Bind-mounting '/tmp/cache//yum-cache' to
'/var/tmp/livecd-creator-Z6Tgoi/install_root//var/cache/yum' failed


Expected results:

livecd-creator should just creator the subdirectories it wants and work instead
of making the user create all the subdirectories by themselves. 


Additional info:
Comment 1 Jeremy Katz 2008-01-31 11:50:50 EST
Fixed in git
Comment 2 Bug Zapper 2008-05-14 00:52:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:25:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.